aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Mueller <ulm@gentoo.org>2011-02-25 07:43:17 (GMT)
committerZac Medico <zmedico@gentoo.org>2011-02-25 18:08:51 (GMT)
commit26ba46a9e620c5dd5d3699a854a68ab8cab04464 (patch)
treefdea24791c687ae4d9e3a966be2810e2a96a479b
parentaction_sync: handle IPv6 [ip] in SYNC some more (diff)
downloadportage-26ba46a9e620c5dd5d3699a854a68ab8cab04464.zip
portage-26ba46a9e620c5dd5d3699a854a68ab8cab04464.tar.gz
portage-26ba46a9e620c5dd5d3699a854a68ab8cab04464.tar.bz2
dodoc: Honour exit status of install, bug 356389.
-rwxr-xr-xbin/ebuild-helpers/4/dodoc4
-rwxr-xr-xbin/ebuild-helpers/dodoc6
2 files changed, 7 insertions, 3 deletions
diff --git a/bin/ebuild-helpers/4/dodoc b/bin/ebuild-helpers/4/dodoc
index d32343c..66a1f08 100755
--- a/bin/ebuild-helpers/4/dodoc
+++ b/bin/ebuild-helpers/4/dodoc
@@ -27,6 +27,8 @@ for x in "$@" ; do
if [ -d "${x}" ] ; then
if [[ ${DOINSRECUR} == "n" ]] ; then
+ echo "!!! ${0##*/}: $x is a directory" 1>&2
+ ((ret|=1))
continue
fi
@@ -36,7 +38,7 @@ for x in "$@" ; do
${0} -r {} \;
elif [ -s "${x}" ] ; then
- install -m0644 "${x}" "${dir}"
+ install -m0644 "${x}" "${dir}" || ((ret|=1))
elif [ ! -e "${x}" ] ; then
echo "!!! ${0##*/}: $x does not exist" 1>&2
((ret|=1))
diff --git a/bin/ebuild-helpers/dodoc b/bin/ebuild-helpers/dodoc
index 29b6901..67391a8 100755
--- a/bin/ebuild-helpers/dodoc
+++ b/bin/ebuild-helpers/dodoc
@@ -16,8 +16,10 @@ fi
ret=0
for x in "$@" ; do
- if [ -s "${x}" ] ; then
- install -m0644 "${x}" "${dir}"
+ if [ -d "${x}" ] ; then
+ eqawarn "QA Notice: dodoc argument '${x}' is a directory"
+ elif [ -s "${x}" ] ; then
+ install -m0644 "${x}" "${dir}" || { ((ret|=1)); continue; }
ecompress --queue "${dir}/${x##*/}"
elif [ ! -e "${x}" ] ; then
echo "!!! ${0##*/}: $x does not exist" 1>&2